@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
:root {
	--light-color: #fff;
	--font-def: 14px;
	--box-shadow-body: rgba(0, 0, 0, 0.05) 0px 1px 3px,
		rgba(0, 0, 0, 0.05) 0px 10px 15px -5px, rgba(0, 0, 0, 0.04) 0px 7px 7px -5px;
	--background-color:#18191a;
	--background-item-color :#242526;
	--background-input-button:#3a3b3c;
	--text-color-title:#fff;
	--text-color-content:#b0b3b8;
}
.light{
	--background-color:#f0f2f5;
	--background-item-color :#fff;
	--background-input-button:#f0f2f5;
	--text-color-title:#050505;
	--text-color-content:#65676b;
}

body {
	margin: 0;
	font-family: 'Roboto', sans-serif;
	min-height: calc(100lvh -  60px);
	padding-top: 70px;
	background: var(--background-color);
	color: var(--text-color-title);
}
main {
	min-height: calc(100lvh -  104px);
}

ul {
	list-style-type: none;
	padding: 0;
}

a {
	color: var(--text-color-title);
	text-decoration: none;
}
.background{
	background: var(--background-item-color);
}

h1,
h2,
h3,
h4,
h5 {
	background: linear-gradient(#21d4fd, #b721ff);
	-webkit-background-clip: text;
	-moz-background-clip: text;
	-ms-background-clip: text;
	-o-background-clip: text;
	background-clip: text;
	-webkit-text-fill-color: transparent;
	-moz-text-fill-color: transparent;
	-ms-text-fill-color: transparent;
	-o-text-fill-color: transparent;
}
h1 {
	font-size: 36px;
}
.icon {
	width: 22px;
}
.flex {
	display: flex;
}
.flex_justify {
	justify-content: space-between;
}
.flex_center {
	justify-content: center;
	align-items: center;
}
.flex_wrap {
	flex-wrap: wrap;
}

.container {
	padding: 0 20px;
}
.itemIndex {
	width: 100%;
}
.Index_container {
	max-width: 630px;
	width: 98%;
	margin: auto;
}
.endtag {
	height: 1px;
	width: 100%;
	background-color: var(--background-input-button);
}
.button {
	box-shadow: 0 3px 4px rgba(0, 0, 0, 0.12);
	padding: 0 10px 0 9px;
	overflow: hidden;
	margin: auto 0;
	line-height: 40px;
	text-decoration: none;
	color: #333;
	padding: 2px 12px;
	background-color: #52c9ed;
	color: #fff;
	border-radius: 6px;
	cursor: pointer;
	width: 40px;
	height: 40px;
	border: 1px solid #52c9ed;

}
a.button {
	padding: 10px 12px;
}

.form_footer {
	max-width: 300px;
	margin: 30px auto 0;
}
.fullWidth{
	width: 100%;
}

@for $i from 1 through 50 {
	.radius-#{$i} {
		border-radius: $i + px;
	}

	.opacity-#{$i} {
		opacity: 1 / $i;
	}

	.padding-w-#{$i} {
		padding: 0 $i + px;
	}

	.padding-h-#{$i} {
		padding: $i + px 0;
	}
	.margin-h-#{$i} {
		margin: $i + px 0;
	}

	.margin-t-#{$i} {
		margin: $i + px $i + px 0;
	}
	.border-r-#{$i} {
		border-radius: $i + px;
	}

	@keyframes fade-#{$i} {
		0%   {opacity: 1}
		50%  {opacity: 1 / $i}
		100% {opacity: 1}
	}
	.animations-fade-#{$i} {
		animation: 2s infinite alternate fade- + $i;
	}
	.fontSize-#{$i} {
		font-size: $i + px;
	}
}

.loading{
	box-sizing: border-box;
	display: block;
	position: absolute;
	width: 64px;
	height: 64px;
	margin: 8px;
	border: 8px solid currentColor;
	border-radius: 50%;
	animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
	border-color: currentColor transparent transparent transparent;
}
@keyframes lds-ring {
	0%   {transform: rotate(0deg);}
	100% { transform: rotate(360deg);}
}

.blur::after {
	content: '';
	width: 100%;
	height: 289px;
	position: absolute;
	bottom: 0;
	width: calc(100% - 16px);
	-webkit-backdrop-filter: blur(13px) saturate(160%);
	backdrop-filter: blur(13px) saturate(160%);
	background: linear-gradient(
		45deg,
		rgba(37, 38, 43, 0.8) 0%,
		rgba(37, 38, 43, 0) 100%
	);
	box-shadow: rgba(0, 0, 0, 0.16) 0px -2px 6px 1px;
	box-shadow: rgba(0, 0, 0, 0.16) 0px -2px 6px 1px;
	padding: 8px;
	color: #fff;
}
//fix

.grupImage_item {
	line-height: 0;
}
.login {
	position: fixed;
	top: 0;
	right: 0;
	width: 100%;
	height: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
	background-image: linear-gradient(19deg, #21d4fd38 0%, #b721ff29 100%);
	.login_body {
		width: 100%;
	}
	.Login_next {
		margin: 0 10px;
		color: #8957fe;
		font-weight: 500;
	}
}
.Register {
	overflow: auto;
	align-items: start;
	.login_body {
		height: 950px;
		padding-top: 60px;
	}
}

.listImage_none {
	min-height: 1000px;
}
.listImage_container {
	padding: 10px 0;
	border-radius: 4px;
	.listImage_item {
		margin: 6px;
		width: 300px;
		position: relative;
		box-shadow: var(--box-shadow-body);
		border: 1px solid var(--background-item-color);
		border-radius: 6px;
		height: 305px;
		background: var(--background-item-color);
		img {
			object-fit: contain;
		}
		&_userImg {
			position: absolute;
			bottom: 60px;
			right: 10px;
			background: rgba(43, 42, 42, 0.7215686275);
			width: 35px;
			height: 35px;
			border-radius: 50%;
			display: flex;
			align-items: center;
			justify-content: center;
			font-size: 15px;
			text-transform: uppercase;
			color: #fff;
			box-shadow: rgba(255, 255, 255, 0.8) 0px 0px 0px 1px inset;

			a {
				color: #fff;
			}
		}
		&_delete {
			position: absolute;
			top: 10px;
			right: 12px;
			cursor: pointer;
		}
		&_infor {
			position: absolute;
			bottom: 0;
			width: calc(100% - 16px);
			backdrop-filter: blur(13px) saturate(160%);
			background: linear-gradient(
				45deg,
				rgba(37, 38, 43, 0.8) 0%,
				rgba(37, 38, 43, 0) 100%
			);
			box-shadow: rgba(0, 0, 0, 0.16) 0px -2px 6px 1px;
			padding: 8px;
			color: #fff;
			&-name {
				font-size: 12px;
				padding-bottom: 6px;
				margin: 0 2px;
			}
			&_item {
				box-shadow: rgba(37, 38, 43, 0.2) 1px 2px 3px -1px;
				background: rgba(212, 212, 212, 0.2);
				font-size: 10px;
				display: flex;
				align-items: center;
				padding: 2px 8px;
				border-radius: 4px;
				margin: 0 2px;
				cursor: pointer;

				&_content {
					margin-left: 2px;
					font-size: 12px;
				}
				svg {
					width: 12px;
				}
			}
			&_item.liked {
				background: linear-gradient(19deg, #0058ff 0%, #568df5 100%);
			}
		}

		.listImage_item_setting {
			position: absolute;
			top: 10px;
			right: 7px;
			color: #fff;

			svg {
				stroke: #fff;
				width: 18px;
				opacity: 0.8;
			}
		}
		.listImage_item_view {
			position: absolute;
			top: 10px;
			left: 10px;
			color: #fff;
			width: 16px;
			background: #c96b6d;
			height: 15px;
			padding: 3px;
			border-radius: 3px;

			svg {
			}
		}
	}
	.listImage_container_empty {
		width: 100%;
		min-height: 500px;
		font-size: 24px;
	}
}

.tagContentImage {
	padding: 30px 0 5px;
}
// fix
.buttonSubmit {
	width: 100%;
	padding: 10px;
	border-radius: 5px;
	border: none;
	background-color: #1bb76e;
	color: #fff;
	margin: 10px 0;
	font-size: 18px;
	height: auto;
}
.buttonSubmit:hover {
	background-color: #1bb76e !important;
}
// user
.User {
	justify-content: center;

	.User_header {
		background: var(--background-item-color);
		padding: 16px;
		box-shadow: var(--box-shadow-body);
		flex-direction: column;
		.User_header_user {
			margin: 18px 0px;
			background: var(--background-item-color);
			font-size: 12px;
			padding: 10px;
			.User_header_user_avatar_text {
				width: 120px;
				height: 120px;
				font-size: 45px;
				background: #bcb8b8;
				color: #fff;
				border-radius: 50%;
				text-transform: uppercase;
			}
		}
		.User_header_edit {
			.User_header_edit_item {
				padding: 6px;
			}
		}

		.User_header_conten {
			font-size: 36px;
			padding: 0px 0 10px 0px;
		}
		.User_header_more {
			width: 30px;
		}
		.User_header_menu {
			.User_header_menu_item {
				padding: 4px 12px;
				cursor: pointer;
				svg {
					stroke: #333;
					width: 14px;
					opacity: 0.8;
				}
			}
			.User_header_menu_item.active {
				border-bottom: 2px solid var(--text-color-title);
				font-weight: 500;
				svg {
					stroke: #333;
				}
			}
		}
	}

	//fix
	.listImage_item_infor span svg {
		color: #e6e6e6;
	}
}

// layout
.header {
	// background-image: linear-gradient(19deg, #21D4FD 0%, #B721FF 100%);
	background: var(--background-item-color);
	box-shadow: 0px 1px 7px 1px #4f4f4f33;
	position: fixed;
	top: 0;
	right: 0;
	width: 100%;
	z-index: 5;
	padding: 10px 0;
	.header_box {
		.header_box_item + .header_box_item {
			margin-left: 10px;
		}
		.header_box_upload {
			padding: 0;
			background: #52c9ed;
			color: #000;
			border: 1px solid #52c9ed;
			border-radius: 50%;
		}

		.header_box_item {
			cursor: pointer;
			position: relative;
			font-size: 16px;
			margin-right: 20px;

			.logoImage {
				width: 50px;
				height: 50px;
				img {
					width: 100%;
					height: 100%;
					object-fit: cover;
				}
			}

		}

		.header_box_item_user {
			height: 40px;
			width: 40px;
			padding: 0;
			border-radius: 50%;
			display: flex;
			justify-content: center;
			align-items: center;
			box-shadow: none;
			text-transform: uppercase;
		}

		.dropdown_list {
				min-width: 150px;
				li {
					justify-content: center;
				}
		}

		
	}

	.header_box_left {
		min-width: 160px;
		justify-content: flex-start;
	}
	.header_box_right {
		min-width: 160px;
		justify-content: flex-end;
	}
}
//
.footer {
	width: 100%;
	height: 43px;

	.footer_body {
		color: #000;
		// background-image: linear-gradient(19deg, #21d4fd 0%, #b721ff 100%);
		background: var(--background-item-color);
		position: relative;
		border-top: 1px solid #dee2e6;
		transition-property: transform;
		transition-duration: 0.3s;
		transition-timing-function: linear;
		overflow-x: auto;
		padding: 12px;
		box-sizing: border-box;
		z-index: 2;
		height: auto;
		text-align: end;
	}
}

//
.Gallery {
	max-width: 991px;
	margin: 20px auto;
	padding: 20px;
	.gutter-row{
		width: 100%;
	}
	.Gallery_body {
		// box-shadow: 2px 2px 10px 1px #bcbcbc;
		border-radius: 22px;
		padding: 10px 20px;
		background-color: var(--background-item-color);
		.Gallery_body_right {
			position: sticky;
			top: 73px;	
		}
	}
	.Gallery_body_navItem {
		padding: 3px 0;
		border-top: 1px solid #3333;
		border-bottom: 1px solid #3333;
	}
	.Gallery_user {
		margin: 8px 0px;
		.h1 {
			margin: 10px;
		}
		.Gallery_user_avata {
			width: 40px;
			height: 40px;
			display: flex;
			align-items: center;
			justify-content: center;
			border-radius: 50%;
			background: #1bb76e;
			color: #fff;
			margin-right: 15px;
		}
		.Gallery_user_infor {
			.Gallery_user_infor_name {
				font-size: 12px;
				color: #1bb76e;
				font-weight: 700;
			}

			.Gallery_user_infor_view {
				font-size: 12px;
				margin: 3px 0;
			}
		}
	}
	.Gallery_body_comment {
		.Gallery_body_comment_box {
			.Gallery_body_comment_box_input {
				width: calc(100% - 80px);
				padding: 10px 60px 10px 20px;
				border-radius: 25px;
				background: #f0f2f5;
				outline: none;
				border: none;
			}
		}
	}

	.Gallery_body_conten {
		margin: 18px 0;
		display: block;
	}
	.Gallery_listImg {
		.Gallery_listImg_item {
			width: 100%;
			height: auto;
			border-radius: 12px;
		}
		.Gallery_listImg_container {
			position: relative;
		}

		.Gallery_listImg_more {
			opacity: 0;
			position: absolute;
			top: 15px;
			right: 15px;
			background: rgb(121 118 118 / 49%);
			padding: 4px 7px;
			border-radius: 6px;
			transition: 0.1s;
			.dropdown {
				top: 39px;
				right: 0px;
			}
		}
	}
	.Gallery_listImg_container:hover .Gallery_listImg_more {
		opacity: 1;
	}
	.Gallery_setting {
		position: relative;
		.dropdown {
			top: 32px;
			right: -4px;
		}
	}
}

.uploadPost_uploadImg {
	width: 102px;
	height: 102px;
	position: absolute;
}

.formUplpad {
	.ant-tooltip-content {
		display: none !important;
	}
}
// item index
.itemIndex {
	position: relative;
	border-radius: 12px;
	.listImage_item {
		background: var(--background-item-color);
		margin: 20px 0;
		padding: 0 20px;
		border-radius: 12px;
		img {
			width: 100%;
			height: auto;
			object-fit: cover;
		}
		img.boxImage {
			aspect-ratio: 1/1;
		}
	}
	.listImage_item_user {
		.listImage_item_user_follow {
			padding: 16px 0px;
			.button {
				padding: 0 25px 0 25px;
				border-radius: 36px;
				background: #eb4d60;
			}
		}
	}
	.listImage_item_view {
		position: absolute;
		top: 24px;
		left: 24px;
		color: #fff;
		width: 24px;
		background: #c96b6d;
		height: 24px;
		padding: 3px;
		border-radius: 3px;
		svg {
			width: 24px;
		}
	}
	.listImage_item_image {
		position: relative;
		width: calc(100% + 40px);
		transform: translateX(-20px);
		.blur::after {
			content: '';
			height: calc(100% - 16px);
			position: absolute;
			bottom: 0;
			width: calc(100% - 16px);
			-webkit-backdrop-filter: blur(13px) saturate(160%);
			backdrop-filter: blur(13px) saturate(160%);
			background: linear-gradient(
				45deg,
				rgba(37, 38, 43, 0.8) 0%,
				rgba(37, 38, 43, 0) 100%
			);
			color: #fff;
		}
	}
	.listImage_item_tiltel {
		margin-bottom: 9px;
		h4 {
			margin: 4px 0;
		}

		&_body {
		}
	}
	.listImage_item_infor {
		padding: 8px 0;
		border-radius: 0;
	}
	.listImage_item_comment {
		padding-bottom: 13px;
		.listImage_item_comment_box {
			.listImage_item_comment_box_text {
				width: calc(100% - 80px);
				padding: 10px 60px 10px 20px;
				border-radius: 25px;
				background: #f0f2f5;
				outline: none;
				border: none;
			}
			.listImage_item_comment_box_text:focus {
				outline: none;
			}
		}
		.listImage_item_comment_text {
			color: #7c7b7b;
			padding: 4px 0;
		}
	}
}

main {
	.index_menu {
		background: #fff;
		margin: 20px 0;
		padding: 0 20px;
		border-radius: 12px;
		position: relative;
		box-shadow: 2px 2px 10px 1px #bcbcbc;
		border-radius: 12px;
		padding: 20px;
		.index_menu_item {
			width: 50%;
			display: flex;
			justify-content: center;
			align-items: center;
			height: 60px;
			color: #65676b;
			position: relative;
			font-weight: 700;
			font-size: 18px;
			cursor: pointer;
			border-radius: 26px;
		}
		.index_menu_item::after {
			content: '';
			position: absolute;
			width: 100%;
			height: 1px;
			background: #333;
			bottom: 0;
			right: 0;
			background: #949494;
		}
		.index_menu_item.active {
			color: #1876f2;
		}
		.index_menu_item.active::after {
			height: 3px;
			background: #1876f2;
		}
	}
}

.index_left {
	position: fixed;
	top: 72px;
	height: 100%;
	width: 200px;
	margin-left: 10px;
	.index_left_item {
		margin: 20px 10px;
		font-size: 21px;
		cursor: pointer;
		font-weight: 700;
		display: flex;
	}

	.index_left_item_tiltel{
		margin: 0 8px;
	}

	.index_left_item.active{
		color: #52c9ed;
	}
	.endtag{
		margin: 0 10px;
	}
	.index_left_tiltel{
		margin: 20px 10px;
		font-size: 12px;
	}
	.index_left_listUser{
		margin: 0 10px;
	}
}

.listUser {
	margin: 8px 0;
	&_avatar{
		width: 35px;
		height: 35px;
		display: flex;
		align-items: center;
		justify-content: center;
		border-radius: 50%;
		background: #1bb76e;
		color: #fff;
		margin-right: 15px;
		text-transform: uppercase;
	}
	&_inforName{
		font-size: 11px;
		color: #1bb76e;
		font-weight: 700;
		margin-top: 5px;
	}
	&_inforView{
		font-size: 11px;
		margin: 3px 0;
		color: var(--text-color-content);
		-webkit-line-clamp: 1;
		-webkit-box-orient: vertical;
		overflow: hidden;
		text-overflow: ellipsis;
		max-width: 120px;

	}
}

.listUser_follow{
	padding: 8px 12px;
	background: var(--background-input-button);
	border-radius: 5px;
	cursor: pointer;
}
.listUser.big{
	.listUser_avatar{
		width: 40px;
		height: 40px;
	}
	.listUser_inforName{
		font-size: 15px;
	}
	.listUser_inforView{
		font-size: 13px;
		max-width: 300px;
	}
}

.form {
	max-width: 300px;
	padding: 20px;
	margin-top: 16px;
	border: 1px solid #dbdbdb;
	border-radius: 12px;
	background: #fff;
	box-shadow: 2px 2px 9px 0px rgba(51, 51, 51, 0.2117647059);
	.formInput {
		.formInput_label {
			display: block;
			color: #333;
			padding: 10px 0;
			font-size: 16px;
			padding-top: 6px;
		}
		.formInput_input {
			width: calc(100% - 26px);
			padding: 12px;
			border-radius: 4px;
			border: 1px solid #333;
		}
	}
	.form_hcapcha {
		min-height: 82.43px;
	}

	.form_botton{
		width: 100%;
    padding: 10px;
    border-radius: 5px;
    border: none;
    background-color: #1bb76e;
    color: #fff;
    margin: 10px 0;
    font-size: 18px;
		.loading {
			width: 20px;
			height: 20px;
			border: 4px solid currentColor;
			margin:0;
			display: inline-block;
			position: relative;
			border-color: currentColor transparent transparent transparent;
		}
	}
	
}
